-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/_getetltriggerstate.sql
-- SID: 1.1
-- Date Modified: 04/10/29 08:16:37
--
-- Module Description
--   Defines the _GetETLTriggerState stored procedure which reports
--   the state of the TDW/ETL triggers.

Use Object
GO

-------------------------------------------------------------------------
-- _GetETLTriggerState
PRINT 'Creating procedure _GetETLTriggerState'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = '_GetETLTriggerState' AND type = 'P')
  DROP PROCEDURE _GetETLTriggerState
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/_getetltriggerstate.sql
-- SID: 1.1
-- Date Modified: 04/10/29 08:16:37
--
-- Module Description
--   Defines the _GetETLTriggerState stored procedure which reports
--   the state of the TDW/ETL triggers.

CREATE PROCEDURE _GetETLTriggerState
AS 
  IF EXISTS (SELECT 1 FROM twh_data WHERE name = 'triggers_enabled' AND value = 1)
    RAISERROR('TBSM TDW/ETL triggers are enabled', 0, 1)
  ELSE
    RAISERROR('TBSM TDW/ETL triggers are not enabled', 0, 1)
GO