-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/asisp_add_all_ev_triggers.sql
-- SID: 1.8
-- Date Modified: 04/10/07 13:54:40
--
-- Module Description
--   Defines the asisp_add_all_EV_triggers stored procedure

Use Object
GO

-------------------------------------------------------------------------
-- asisp_add_all_EV_triggers
PRINT 'Creating procedure asisp_add_all_EV_triggers'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'asisp_add_all_EV_triggers' AND type = 'P')
  DROP PROCEDURE asisp_add_all_EV_triggers
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/asisp_add_all_ev_triggers.sql
-- SID: 1.8
-- Date Modified: 04/10/07 13:54:40
CREATE PROCEDURE asisp_add_all_EV_triggers
    @debug_print TINYINT = 0
AS 
  DECLARE @cid ClassID, @cname NVARCHAR(54), @sql NVARCHAR(512), @msg NVARCHAR(255)
  DECLARE trigger_add_cursor CURSOR FOR
    SELECT DISTINCT i.cid,o.cname FROM isa_chain AS i join obj_class AS o ON i.cid = o.cid WHERE base_cid = 'MNO2' AND flag_abstract = 0 
--      and o.cid = 'STC'
  OPEN trigger_add_cursor
  FETCH NEXT FROM trigger_add_cursor INTO @cid, @cname
  WHILE @@fetch_status = 0 
  BEGIN
    SELECT @msg = 'Adding EV triggers to "' + @cname + '" class...'
    PRINT @msg
    EXEC asisp_add_EV_triggers @cid
    FETCH NEXT FROM trigger_add_cursor INTO @cid, @cname
  END
  CLOSE trigger_add_cursor
  DEALLOCATE trigger_add_cursor
  SELECT @msg = 'Adding EV triggers to all RODM classes (RODM..RODMManagedObject).'
  PRINT @msg
  EXEC RODM..asisp_add_RODM_EV_class_table_insert_trigger
  EXEC RODM..asisp_add_RODM_EV_class_table_update_trigger
  EXEC RODM..asisp_add_RODM_EV_class_table_delete_trigger
GO
