-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/_asisp_getcontextuserid.sql
-- SID: 1.6.1.3
-- Date Modified: 05/01/06 15:08:58
--
-- _asisp_getcontextuserid
--
-- Module Description
--   Stores userid
-- This proc is deprecated in TBSM 3.1, use
-- asisp_getContextUserInfo instead

USE Object
GO


----------------------------------------------------------------------------------------------------
-- asisp_getContextUserID
PRINT 'Creating procedure asisp_getContextUserID'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'asisp_getContextUserID' AND type = 'P')
  DROP PROCEDURE asisp_getContextUserID
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/_asisp_getcontextuserid.sql
-- SID: 1.6.1.3
-- Date Modified: 05/01/06 15:08:58
-- Core PROCEDURE used by Java Console server
------------------------------------------------------
--
-- Retrieves user specific information from the
-- temporary session table.
--
-- Input:
--      None
--
-- Output:
--      userid
-- This proc is deprecated in TBSM 3.1, use
-- asisp_getContextUserInfo instead
------------------------------------------------------
CREATE PROCEDURE asisp_getContextUserID
 @userid NVARCHAR(40) OUTPUT
AS
 --- set the defaults
 DECLARE @err INT, @rc INT, @now NVARCHAR(40)
 
 set @userid=null

 --- test to see if user context temp table exists, if it does update the output fields, otherwise the defaults get returned
 IF (object_id('tempdb..#tbsm_as_user_info') IS not Null) begin
   select @userid=username from #tbsm_as_user_info
   SELECT @err = @@ERROR, @rc = @@ROWCOUNT
   IF @err <> 0
   BEGIN
     SET @now = CONVERT(NVARCHAR, CURRENT_TIMESTAMP, 121)
     RAISERROR('%s: asisp_getcontextuserid: error %d selecting from table #tbsm_as_user_info', 3, 1, @now, @err) WITH NOWAIT
     RETURN -30000
   END
   
 end

 RETURN
GO
