-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/etl_enable_trigs.sql
-- SID: 1.5
-- Date Modified: 04/11/14 11:55:06

-- Module description:
-- Create the etl_enable_trigs procedure which will turn on the etl triggers

USE Object
IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'etl_enable_trigs')
  DROP PROCEDURE etl_enable_trigs
GO
-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}

-- File: archive/db/sql/procs/etl_enable_trigs.sql
-- SID: 1.5
-- Date Modified: 04/11/14 11:55:06

-- Module description:
-- Create the etl_enable_trigs procedure which will turn on the etl triggers

CREATE PROCEDURE etl_enable_trigs
  @verbose TINYINT=0
AS
  SET NOCOUNT ON
  DECLARE @now NVARCHAR(40)
  DECLARE @err INTEGER
  DECLARE @rc  INTEGER
  DECLARE @ret INTEGER

  IF @verbose >= 1 BEGIN
    SET @now = CONVERT(NVARCHAR, CURRENT_TIMESTAMP, 121)
    RAISERROR('%s: etl_enable_trigs starts', 0, 1, @now) WITH NOWAIT
  END

  UPDATE twh_data SET value = 1
  WHERE name = 'triggers_enabled'
  SELECT @err = @@ERROR

  IF @err < 0
  BEGIN
    SET @now = CONVERT(NVARCHAR, CURRENT_TIMESTAMP, 121)
    RAISERROR('%s: etl_enable_trigs: error %d updating twh_data', 11, 1, @now, @err) WITH NOWAIT
    RETURN -30000
  END

  IF @verbose >= 1 BEGIN
    SET @now = CONVERT(NVARCHAR, CURRENT_TIMESTAMP, 121)
    RAISERROR('%s: etl_enable_trigs returning', 0, 1, @now) WITH NOWAIT
  END

GO