-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_livemvsmsgexc.sql
-- SID: 1.6
-- Date Modified: 04/12/06 15:51:29
--
-- Module Description:
--   Defines the gtm_livemvsmsgexc stored proc which is used as a wrapper procedure to the
--   hist_livemvsmsgexc procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
--
USE ObjectEvents
GO

-------------------------------------------------------------------------------------------
PRINT 'Creating procedure gtm_livemvsmsgexc.'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'gtm_livemvsmsgexc' AND type = 'P')
  DROP PROCEDURE gtm_livemvsmsgexc
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_livemvsmsgexc.sql
-- SID: 1.6
-- Date Modified: 04/12/06 15:51:29
--
-- Module Description:
--   Defines the gtm_livemvsmsgexc stored proc which is used as a wrapper procedure to the
--   hist_livemvsmsgexc procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
-- exec ObjectEvents.dbo.gtm_livemvsmsgexc 'ENT','1','xxx','1','1','2004-01-01','2004-01-01',0,''

CREATE PROCEDURE gtm_livemvsmsgexc
  @classlist       NVARCHAR(255),
  @oslist          NVARCHAR(255),
  @objname         ObjName,
  @alertstatelist  NVARCHAR(255),
  @prioritylist    NVARCHAR(255),
  @begdate         DATETIME,
  @enddate         DATETIME,
  @eventopt        TINYINT,
  @detail          NVARCHAR(255)
AS

IF @classlist IS NULL AND @oslist IS NULL AND @objname IS NULL AND @alertstatelist IS NULL AND @prioritylist IS NULL 
  AND @begdate IS NULL AND @enddate IS NULL  AND @eventopt IS NULL AND @detail IS NULL
  SELECT '' AS 'osname', '' AS 'objtype', '' AS 'objname', '' AS 'msgtype', '' AS 'alertstate', '' AS 'priority', '' AS 'msgname', '' AS 'detail', '' AS 'date'
ELSE
  EXEC Object..hist_livemvsmsgexc @classlist = @classlist, @oslist = @oslist, @objname = @objname, @alertstatelist = @alertstatelist, 
    @prioritylist = @prioritylist, @begdate = @begdate, @enddate= @enddate, @eventopt = @eventopt, @detail= @detail


