-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_lobalertstate.sql
-- SID: 1.5
-- Date Modified: 04/12/06 15:51:30
--
-- Module Description:
--   Defines the gtm_lobalertstate stored proc which is used as a wrapper procedure to the
--   hist_lobalertstate procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
--
USE ObjectEvents
GO

-------------------------------------------------------------------------------------------
PRINT 'Creating procedure gtm_lobalertstate.'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'gtm_lobalertstate' AND type = 'P')
  DROP PROCEDURE gtm_lobalertstate
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_lobalertstate.sql
-- SID: 1.5
-- Date Modified: 04/12/06 15:51:30
--
-- Module Description:
--   Defines the gtm_lobalertstate stored proc which is used as a wrapper procedure to the
--   hist_lobalertstate procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
--
CREATE PROCEDURE gtm_lobalertstate
  @parlobid ObjID,
  @alertstatelist NVARCHAR(255)=''
AS

IF @parlobid IS NULL
  SET @parlobid = 0

IF @alertstatelist IS NULL OR @alertstatelist = ''
  SET @alertstatelist = 'ALL'

EXEC Object..hist_lobalertstate @parlobid = @parlobid, @alertstatelist = @alertstatelist
 


