-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_lobalertstateglobal.sql
-- SID: 1.3
-- Date Modified: 04/12/01 09:49:17
--
-- Module Description:
--   Defines the gtm_lobalertstateglobal stored proc which is used as a wrapper procedure to the
--   hist_shiftturnover procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
--
USE ObjectEvents
GO

-------------------------------------------------------------------------------------------
PRINT 'Creating procedure gtm_lobalertstateglobal.'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'gtm_lobalertstateglobal' AND type = 'P')
  DROP PROCEDURE gtm_lobalertstateglobal
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_lobalertstateglobal.sql
-- SID: 1.3
-- Date Modified: 04/12/01 09:49:17
--
-- Module Description:
--   Defines the gtm_lobalertstateglobal stored proc which is used as a wrapper procedure to the
--   hist_lobalertstateglobal procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
--
CREATE PROCEDURE gtm_lobalertstateglobal
   @alertstatelist NVARCHAR(255)
AS
IF @alertstatelist IS NULL 
  SET @alertstatelist = N'1,2,3,0'

EXEC Object..hist_lobalertstateglobal @alertstatelist = @alertstatelist 