-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_shiftturnover.sql
-- SID: 1.5
-- Date Modified: 04/12/06 15:51:31
--
-- Module Description:
--   Defines the gtm_shiftturnover stored proc which is used as a wrapper procedure to the
--   hist_shiftturnover procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
--
USE ObjectEvents
GO

-------------------------------------------------------------------------------------------
PRINT 'Creating procedure gtm_shiftturnover.'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'gtm_shiftturnover' AND type = 'P')
  DROP PROCEDURE gtm_shiftturnover
GO

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/gtm_shiftturnover.sql
-- SID: 1.5
-- Date Modified: 04/12/06 15:51:31
--
-- Module Description:
--   Defines the gtm_shiftturnover stored proc which is used as a wrapper procedure to the
--   hist_shiftturnover procedure in the Object database. This wrapper is needed to provide 
--   a way for Cystal Report 9 to be able to expose this database object in its list
--   of stored procedure. The list of database objects from the Object database is too large
--   for Crystal to handle. This procedure is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
--
CREATE PROCEDURE gtm_shiftturnover
  @shiftlength INT,               -- number of hours to subtract from base date/time to begin obtaining notes
  @datetime    DATETIME,          -- Base date/time. Default=proc. execution date/time
  @ownership   INT                -- 0(owned), 1(unowned), 2(both)
AS

EXEC Object..hist_shiftturnover 
  @cid = 'ROOT',
  @id = 0, 
  @orderopt = 1, 
  @shiftlength = @shiftlength, 
  @datetime = @datetime,
  @eventlst = 0,
  @verbose = 0,
  @ownership = @ownership


