-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/procs/twh_getgmttime.sql
-- SID: 1.2
-- Date Modified: 04/10/15 17:12:49

-- Module Description
--   Create procedure twh_getgmttime

USE Object
GO

PRINT 'Creating procedure twh_getgmttime'
GO

IF EXISTS (SELECT * FROM sysobjects WHERE name = 'twh_getgmttime' AND type = 'P')
  DROP PROCEDURE twh_getgmttime
GO
 
CREATE PROCEDURE twh_getgmttime
AS
  SET NOCOUNT ON
  --Get GM time offset
  DECLARE @gmoffsetmin INT, @last_gmoffsetmin INT, @GMT_CHANG_TIME DATETIME

  EXEC master..xp_regread 
    'HKEY_LOCAL_MACHINE',
    'SYSTEM\CurrentControlSet\Control\TimeZoneInformation',
    'ActiveTimeBias', 
     @gmoffsetmin OUTPUT
  IF EXISTS (SELECT * FROM twh_gmt_time WHERE loadtype = 'lobstate')
    UPDATE twh_gmt_time SET last_gmt = @gmoffsetmin, 
	this_gmt = @gmoffsetmin,
	mtime = GETDATE(),
	status = 0
      WHERE loadtype = 'lobstate'
  ELSE INSERT INTO twh_gmt_time (last_gmt, this_gmt, mtime, status, loadtype) 
    SELECT @gmoffsetmin, 
	@gmoffsetmin,
	GETDATE(),
	0,
	'lobstate' 
GO
PRINT 'Done.'
GO