-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/twh_attrupdate.sql
-- SID: 1.2
-- Date Modified: 04/10/13 08:59:33

-- Create the table to retain data on resource
-- updates so TDW can keep up to date on the changes.

USE Object
IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'twh_AttrUpdate') BEGIN
  PRINT 'Creating twh_AttrUpdate'

  CREATE TABLE twh_AttrUpdate (
    cid              ClassID NOT NULL,                              -- The class identifier of the resource type
    id               ObjID NOT NULL,                                -- The object id of the resource
    attr_name        NVARCHAR(64) NOT NULL,                         -- The name of the attribute being updated.  This must 
                                                                    -- be one of the following attributes: name, description, deleted
    attr_value       NVARCHAR(1024) NOT NULL,                       -- The new value of the attribute being updated.  An integer
                                                                    -- is converted to character.
    ctime            DATETIME NOT NULL DEFAULT(CURRENT_TIMESTAMP),  -- The database time when the row is added to the table.
    xid              DECIMAL(18) NOT NULL IDENTITY(1,1)             -- The extraction id for this row.  Extraction ids are stored
                                                                    -- in the twh_ExtractCtrl table and control which records make
                                                                    -- up result sets, when they can get pruned, etc.
  )

  CREATE INDEX twh_AttrUpdate_ix ON twh_AttrUpdate (cid, id)
END
