-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/twh_class_map.sql
-- SID: 1.1
-- Date Modified: 04/09/01 14:33:39

-- Create the twh_class_map table and populate with the default data values.

USE Object
IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'twh_class_map') BEGIN
  CREATE TABLE twh_class_map (
    cid   		ClassID PRIMARY KEY,
    comp_cd		NVARCHAR (17),
    label       	NVARCHAR(40),
    description   	NVARCHAR(256),
    level  	        SMALLINT NULL,
    _public             TINYINT NULL
  )
END

IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'CPTR')  
  INSERT INTO twh_class_map
    SELECT 'CPTR', 
    'IP_HOST', 
    'Computer',
    'Computer', 
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'EXES')  
  INSERT INTO twh_class_map
    SELECT 'EXES', 
    'SERVICE', 
    'Executive Dashboard Service', 
    'Represents an Executive Dashboard Service. Always associated to a single LOB object.',
    0, 
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'INTR')  
  INSERT INTO twh_class_map
    SELECT 'INTR', 
    'IP_INTERFACE',      
    'Network Interface',                        
    'The physical connection between a node and the network',                                                                                                                                                                                                        
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'LOB')  
  INSERT INTO twh_class_map
    SELECT 'LOB',
    'BUSINESS_SYSTEM', 
    'Business System',
    'Business System',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'LPAR')  
  INSERT INTO twh_class_map
    SELECT 'LPAR',
    'LOGICAL_PARTITION', 
    'Logical Partition',
    'Logical Partition',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'MMGR')  
  INSERT INTO twh_class_map
    SELECT 'MMGR',
    'MQ_QUEUE_MANAGER', 
    'MQ Manager',
    'MQ Manager',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'MQLC')  
  INSERT INTO twh_class_map
    SELECT 'MQLC',
    'MQ_QUEUE', 
    'MQ Local Queue',
    'MQ Local Queue',
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'MQMD')  
  INSERT INTO twh_class_map
    SELECT 'MQMD',
    'MQ_QUEUE', 
    'MQ Model Queue',
    'MQ Model Queue',
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'MQRT')  
  INSERT INTO twh_class_map
    SELECT 'MQRT',
    'MQ_QUEUE', 
    'MQ Remote Queue',
    'MQ Remote Queue',
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'MQRV')  
  INSERT INTO twh_class_map
    SELECT 'MQRV',
    'MQ_CHANNEL', 
    'MQ Receiver Channel',
    'MQ Receiver Channel',
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'MQSD')  
  INSERT INTO twh_class_map
    SELECT 'MQSD',
    'MQ_CHANNEL', 
    'MQ Sender Channel',
    'MQ Sender Channel',
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'MQXT')  
  INSERT INTO twh_class_map
    SELECT 'MQXT',
    'MQ_QUEUE', 
    'MQ Xmit Queue',
    'MQ Xmit Queue',
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'NODE')  
  INSERT INTO twh_class_map
    SELECT 'NODE',
    'IP_HOST', 
    'Network Node',
    'Network Node',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'NTSV')  
  INSERT INTO twh_class_map
    SELECT 'NTSV',
    'IP_HOST', 
    'NT Service',
    'NT Service',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'OS')  
  INSERT INTO twh_class_map
    SELECT 'OS',
    'MVS_SYSTEM', 
    'Operating System',
    'Operating System',
    1,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'PCXX')  
  INSERT INTO twh_class_map
    SELECT 'PCXX',
    'IP_HOST', 
    'Network PC',
    'Network PC',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'RASS')  
  INSERT INTO twh_class_map
    SELECT 'RASS',
    'IP_HOST', 
    'Network RAS Server',
    'Network RAS Server',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'ROUT')  
  INSERT INTO twh_class_map
    SELECT 'ROUT',
    'IP_NODE', 
    'Network Router',
    'Network Router',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'SNNT')  
  INSERT INTO twh_class_map
    SELECT 'SNNT',
    'SNA_NETWORK', 
    'SNA/APPN Network',
    'Uniquely named network with SNA AND APPN resources',
    2,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'SRVR')  
  INSERT INTO twh_class_map
    SELECT 'SRVR',
    'IP_HOST', 
    'Server Host',
    'Server Host',
    0,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'T4NG')  
  INSERT INTO twh_class_map
    SELECT 'T4NG',
    'SNA_CCU', 
    't4NodeGateway',
    'SNA type-4 node that provides communication controller support FOR single-domain, multiple-domain, AND interconnected network capability. It can also provide gateway function, intermediate routing function, AND boundary function',
    3,
    1
IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = 'UNIX')  
  INSERT INTO twh_class_map
    SELECT 'UNIX',
    'IP_HOST', 
    'Network Unix',
    'UNIX Host',
    0,
    1

/*
--tools to generate data

select 'IF NOT EXISTS ( SELECT 1 FROM twh_class_map WHERE cid = ''' + t.cid + ''')  
  INSERT INTO twh_class_map
    SELECT ''' + t.cid + ''',
     ', ''''+ RTRIM(copm_cd) + ''', 
', '''' + RTRIM(label) + ''',
', ''''+ RTRIM(description) + ''',
', level, ',
', pub from test t join obj_class as a ON t.cid = a.cid

*/

