-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\db\sql\save\twh_date.sql
-- SID: 1.6.2.3
-- Date Modified: 04/10/15 09:32:27
--
-- Module Description
--   Defines the twh_date table

USE Object
GO

IF NOT EXISTS (SELECT * FROM sysobjects WHERE name='twh_date' AND type='U')
BEGIN
  PRINT 'Creating table twh_date'
  CREATE TABLE twh_date
  (
    loadtype        NVARCHAR(50),
    lastenddate     DATETIME,
    prevlastenddate DATETIME NULL,
    status          INT
  )
END
GO

IF NOT EXISTS (SELECT * 
                 FROM syscolumns c
                 JOIN systypes   t ON t.xusertype = c.xusertype
                 WHERE c.id = OBJECT_ID('twh_date') AND c.name = 'loadtype' AND LOWER(t.name) = 'nvarchar' AND c.length = 100)
  ALTER TABLE twh_date ALTER COLUMN loadtype NVARCHAR(50)

-- sp_help twh_date

IF NOT EXISTS (SELECT * FROM twh_date WHERE loadtype = 'link/newpubobjs')
  INSERT INTO twh_date (loadtype, lastenddate, prevlastenddate, status)
    SELECT 'link/newpubobjs', '1970/01/01', '1970/01/01', 0

IF NOT EXISTS (SELECT * FROM twh_date WHERE loadtype = 'link/newprivobjs')
  INSERT INTO twh_date (loadtype, lastenddate, prevlastenddate, status)
    SELECT 'link/newprivobjs', '1970/01/01', '1970/01/01', 0
