-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/twh_defer_notehist.sql
-- SID: 1.4
-- Date Modified: 04/09/20 10:24:56

-- Create the table to hold rows from the
-- etl_getash result set that do not have
-- a comp_id yet.

USE Object
IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'twh_defer_notehist') BEGIN
  PRINT 'Creating twh_defer_notehist'

  CREATE TABLE twh_defer_notehist (
    notehis_id       INT NOT NULL,            -- ident column from NoteHistory
    noteid           INT NOT NULL,            -- Note identifier From NoteHistory
    Action           NVARCHAR(255) NOT NULL,  -- From NoteHistory
    Executer         NVARCHAR(255) NULL,      -- From NoteHistory
    TimeExecuted     DATETIME NOT NULL,       -- From NoteHistory
    event_type       NVARCHAR(4) NOT NULL,    -- `Note'
    name             ObjName NOT NULL,        -- Name associated with note From Note_V
    Subject          NVARCHAR(255) NULL,      -- Subject of note From NoteHistoryDetail
    Body             NVARCHAR(3900) NULL,     -- Body of note From NoteHistoryDetail
    note_type        NVARCHAR(254) NOT NULL,  -- Type of note _Type from Note_V
    sevt_corr_val    NVARCHAR(254) NULL,      -- If there is a row from NoteDependent, the value is nd.eventcid + `\' 
                                              -- If there is no row from NoteDependent, the value is NULL
    twh_sevt_id      INT,                     -- 0
    comp_id          BIGINT NOT NULL,         -- This will come from the comp_id column of the twh_Inventory table, based 
                                              -- on the CreatorCID and CreatorID from the Note_V table.
                                              -- The value can be zero, which means that the resource does not yet appear
                                              -- in twh_Inventory and needs to be deferred.  A row can also have a non-zero
                                              -- value, which means it was included in the previous result set but hasn't been
                                              -- removed from the deferred table yet because TDW hasn't told us the that result
                                              -- set was successfully received and processed.
    twh_tevt_id      INT NOT NULL,            -- 0
    evt_corr_val     NVARCHAR(40) NOT NULL,   -- `NOTE\' + CONVERT(NVARCHAR(40), nh.ident)
    cid              ClassID NOT NULL,        -- n.CreatorCID
    id               ObjID NOT NULL,          -- n.CreatorID
    age              INT NOT NULL DEFAULT(0)  -- the number of times the event has stayed in the deferred table
  )
END
