-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/twh_linkcreate.sql
-- SID: 1.6
-- Date Modified: 04/12/20 12:39:52

-- Create the table to retain data on resource
-- updates so TDW can keep up to date on the changes.

USE Object
IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'twh_LinkCreate') BEGIN
  PRINT 'Creating twh_LinkCreate'

  CREATE TABLE twh_LinkCreate (
    link_type        LinkType NOT NULL,                            -- The type of link being added
    src_cid          ClassID NOT NULL,                             -- The class identifier of the type of the source (parent) resource
    src_id           ObjID NOT NULL,                               -- The object id of the source (parent) resource
    dst_cid          ClassID NOT NULL,                             -- The class identifier of the type of the destination (child) resource
    dst_id           ObjID NOT NULL,                               -- The object id of the destination (child) resource
    ctime            DATETIME NOT NULL,                            -- The creation time for the link (ctime from the link table or ctime from the
                                                                   -- cname_C table in the case of a directly-contained object)
    xid              DECIMAL(18) NOT NULL IDENTITY(1,1) PRIMARY KEY (xid)  -- The extraction id for this row.  Extraction ids are stored in the
                                                                   -- twh_ExtractCtrl table and control which records make up result sets,
                                                                   -- when they can get pruned, etc.
  )

  CREATE INDEX twh_LinkCreate_xid_index ON twh_LinkCreate (xid)
  CREATE INDEX twh_LinkCreate_comp1_index ON twh_LinkCreate (link_type,src_cid,src_id,dst_cid,dst_id)

END
