-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/twh_linkdelete.sql
-- SID: 1.2
-- Date Modified: 04/10/13 08:59:34

-- Create the table to retain data on resource
-- updates so TDW can keep up to date on the changes.

USE Object
IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'twh_LinkDelete') BEGIN
  PRINT 'Creating twh_LinkDelete'

  CREATE TABLE twh_LinkDelete (
    link_type        LinkType NOT NULL,                              -- The type of link being deleted
    src_cid          ClassID NOT NULL,                               -- The class identifier of the type of the source (parent) resource
    src_id           ObjID NOT NULL,                                 -- The object id of the source (parent) resource
    dst_cid          ClassID NOT NULL,                               -- The class identifier of the type of the destination (child) resource
    dst_id           ObjID NOT NULL,                                 -- The object id of the destination (child) resource
    ctime            DATETIME NOT NULL DEFAULT(CURRENT_TIMESTAMP),   -- The database time when the row is added to the table.
    xid              DECIMAL(18) NOT NULL IDENTITY(1,1)              -- The extraction id for this row.  Extraction ids are stored in the
                                                                     -- twh_ExtractCtrl table and control which records make up result sets,
                                                                     -- when they can get pruned, etc.
  )

  CREATE INDEX twh_LinkDelete_ix ON twh_LinkDelete (link_type, src_cid, src_id, dst_cid, dst_id)

END
