-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/twh_resourcecreate.sql
-- SID: 1.4
-- Date Modified: 04/10/22 13:31:50

-- Create the table to retain data on resources
-- that were created so TDW can be told about them.

USE Object
IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'twh_ResourceCreate') BEGIN
  PRINT 'Creating twh_ResourceCreate'

  CREATE TABLE twh_ResourceCreate (
    cid              ClassID NOT NULL,                      -- The class identifier of the resource type
    id               ObjID NOT NULL PRIMARY KEY (cid, id),  -- The object id of the resource
    name             NVARCHAR(255) NOT NULL,                -- The display name of the resource
    description      NVARCHAR(255) NULL,                    -- The description of the resource
    ctime            DATETIME NOT NULL,                     -- The creation time for the resource (ctime from the cname_C table)
    xid              DECIMAL(18) NOT NULL IDENTITY(1,1)     -- The extraction id for this row.  Extraction ids are stored
                                                            -- in the twh_ExtractCtrl table and control which records make
                                                            -- up result sets, when they can get pruned, etc.
  )

  CREATE INDEX twh_ResourceCreate_xid_index ON twh_ResourceCreate (xid)

END
