-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                       
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2004 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive/db/sql/tables/twh_resourcedelete.sql
-- SID: 1.2
-- Date Modified: 04/09/09 08:06:44

-- Create the table to retain data on resources
-- that were deleted so TDW can expire them.

USE Object
IF NOT EXISTS (SELECT * FROM sysobjects WHERE type = 'U' AND name = 'twh_ResourceDelete') BEGIN
  PRINT 'Creating twh_ResourceDelete'

  CREATE TABLE twh_ResourceDelete (
    cid              ClassID NOT NULL,                              -- The class identifier of the resource type
    id               ObjID NOT NULL PRIMARY KEY (cid, id),          -- The object id of the resource
    ctime            DATETIME NOT NULL DEFAULT(CURRENT_TIMESTAMP),  -- The database time when the row is added to the table.
    xid              DECIMAL(18) NOT NULL IDENTITY(1,1)             -- The extraction id for this row.  Extraction ids are stored
                                                                    -- in the twh_ExtractCtrl table and control which records make
                                                                    -- up result sets, when they can get pruned, etc.
  )
END
