-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
-- File: archive\db\sql\event_v.sql
-- SID: 1.5.4.1
-- Date Modified: 04/09/23 18:39:41
--
-- Module Description
--   Defines the event_V view
--   The Object..event table is used for BCP approach 
--   The Local EventHistory..event_table is used for Linked Server approach

USE Object
GO

---------------------------------------------------------------------------------------------------
-- event_V 
IF EXISTS (SELECT * FROM sysobjects WHERE name = 'event_V ' AND type = 'V')
  DROP VIEW event_V
GO

-- See if this system is using the linked server approach 
DECLARE @text          NVARCHAR(4000),
        @from          NVARCHAR(255), 
        @comment NVARCHAR(255)

SELECT @text = text FROM syscomments WHERE id = OBJECT_ID('event') AND text LIKE '%EventHistory%'
IF @text IS NOT NULL
BEGIN
  SET @from = 'EventHistory..event_table'
  SET @comment = '-- This is the linked-server version of the view.'
END
ELSE
BEGIN
  PRINT 'Creating bcp version of view event_V'
  SET @from = 'event'
  SET @comment = '-- This is the bcp version of the view.'
END

EXEC("
-- File: archive\db\sql\event_v.sql
-- SID: 1.5.4.1
-- Date Modified: 04/09/23 18:39:41
-- View of the event table that excludes the identity column.
" + @comment + "

-------------------------------------------------- {COPYRIGHT-TOP-RM}
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
-------------------------------------------------- {COPYRIGHT-END-RM}
CREATE VIEW event_V AS
  SELECT
    agent_cid, agent_id, agent_ctime, agent_seqno, obj_cid, obj_id, cid, name, ctime, detail, alertstate, priority, state, evt_id
  FROM " + @from
)
GO

