--------------------------------------------------
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
--------------------------------------------------
-- File: archive/db/sql/views/objpathcache_v.sql
-- SID: 1.1
-- Date Modified: 04/11/02 13:11:43
--
-- Module Description:
--   Defines the ObjPathCache_V view used by Crystal Reports 9 operational reports.
--   This view is needed to provide a way for Cystal Report 9 to be able to expose this view in its list
--   of views. The list of database objects from the Object database is too large
--   for Crystal to handle. This view is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
USE ObjectEvents
GO

-------------------------------------------------------------------------
PRINT 'Creating VIEW ObjPathCache_V'
GO

IF EXISTS ( SELECT * FROM sysobjects WHERE name = 'ObjPathCache_V' AND type = 'V')
  DROP VIEW ObjPathCache_V
GO

--------------------------------------------------
-- Licensed Materials - Property of IBM                              
--                                                                   
-- Restricted Materials of IBM                                     
--                                                                   
-- 5724-C51                                                          
--                                                                   
-- (C) Copyright IBM Corp. 1999,2003 All Rights Reserved.            
--                                                                   
-- US Government Users Restricted Rights - Use, duplication or       
-- disclosure restricted by GSA ADP Schedule Contract with           
-- IBM Corp.                                                         
--------------------------------------------------
-- File: archive/db/sql/views/objpathcache_v.sql
-- SID: 1.1
-- Date Modified: 04/11/02 13:11:43
--
-- Module Description:
--   Defines the ObjPathCache_V view used by Crystal Reports 9 operational reports.
--   This view is needed to provide a way for Cystal Report 9 to be able to expose this view in its list
--   of views. The list of database objects from the Object database is too large
--   for Crystal to handle. This view is only used if a customer has installed operational reports
--   into their Cystal Enterprise Server.
CREATE VIEW ObjPathCache_V AS
SELECT cid,id,resource,idpath,resourcepath,src_cid, src_id, deleted,gen
FROM Object..ObjPathCache
